
# ship to aws 
# when deploying
# no need build
# data taken from root

version: "3.9"
services:
  pocketbase:
    network_mode: "host"
    build:
      context: .
      dockerfile: pbprd.Dockerfile
    ports:
      - "8090:8090"
    volumes:
      - type: bind
        source: ./pb_data
        target: /prod/pb_data
      - type: bind
        source: ./logs
        target: /prod/logs
      - type: bind
        source: ./config.yml
        target: /prod/config.yml
    environment:
      - RUNNING=PUBLIC

  meili:
    network_mode: "host"
    image: getmeili/meilisearch:v1.0
    ports:
      - "7700:7700"
    volumes:
      - "./meili_data:/meili_data"
    tty: true
    stdin_open: true
    command: ["meilisearch", "--master-key=masterKey", "--env=development"]
        
